EDIT - bug #8443

a user with only rights on a subtree can edit taxa and names of another subtree
08/05/2019 12:14 PM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

the user with rights on a subtree is able to edit taxa outside the defined subtree. The only limitation is creation and deleting of nodes.

History

#1 - 08/05/2019 12:15 PM - Katja Luther

- Description updated

#2 - 08/05/2019 12:19 PM - Katja Luther

- Subject changed from a user with only rights on a subtree can edit a name not used in subtree (bulkeditor) to a user with only rights on a subtree can
edit taxa and names of another subtree

- Description updated
- Category changed from cdmlib to taxeditor

- Assignee changed from Andreas Miiller to Katja Luther

#3 - 08/05/2019 12:42 PM - Andreas Miiller

is this only an Ul issue or is it also a cdmlib-security issue?

#4 - 10/10/2019 02:58 PM - Katja Luther

Andreas Muller wrote:

is this only an Ul issue or is it also a cdmlib-security issue?

| think this is also a cdmlib security issue. Actually | work on the implementation in the Editor, but | think this needs also checked on cdmlib side.

#5 - 10/11/2019 09:42 AM - Andreas Kohlbecker

As far as | understand the problem, we need to implement the furtherVotingDescisions(CdmAuthority CdmAuthority, TargetEntityStates
targetEntityStates, Collection<ConfigAttribute> attributes,

ValidationResult validationResult) in TaxonBaseVoter so that the permissions on the TaxonNodes is always taken into account.

Problems can arise when deciding on a Taxon for which the TaxonNodes are not yet initialized in this case the required information needs to be
loaded from the db first. Maybe we can directly delegate the decision to the TaxonNodeVoter by calling its vote() and furtherVotingDescisions()
methods properly.
